Main Page Widgets Namespaces Book

# Gtk::CellRendererAccel Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererAccel:

[legend]
List of all members.

## Detailed Description

TODO.

Since gtkmm 2.10:

## Public Member Functions

| CellRendererAccel ()
const GtkCellRendererAccel* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererAccel* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::SignalProxy1< void, const Glib::ustring& > | signal_accel_cleared ()
Glib::SignalProxy4< void, const Glib::ustring &, guint, Gdk::ModifierType, guint > | signal_accel_edited ()
virtual | ~CellRendererAccel ()

## Protected Member Functions

virtual void | on_accel_cleared (const Glib::ustring& path_string)
virtual void | on_accel_edited (const Glib::ustring& path_string, guint accel_key, Gdk::ModifierType accel_mods, guint hardware_keycode)

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererAccel* | wrap (GtkCellRendererAccel* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellRendererAccel::~CellRendererAccel | ( |  | ) | `[virtual]`

Gtk::CellRendererAccel::CellRendererAccel | ( |  | ) |

## Member Function Documentation

const GtkCellRendererAccel* Gtk::CellRendererAccel::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

GtkCellRendererAccel* Gtk::CellRendererAccel::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

virtual void Gtk::CellRendererAccel::on_accel_cleared | ( | const Glib::ustring& | path_string | ) | `[protected, virtual]`

virtual void Gtk::CellRendererAccel::on_accel_edited | ( | const Glib::ustring& | path_string,
|  | guint | accel_key,
|  | Gdk::ModifierType | accel_mods,
|  | guint | hardware_keycode
| ) | `[protected, virtual]`

Glib::SignalProxy1<void,const Glib::ustring&> Gtk::CellRendererAccel::signal_accel_cleared | ( |  | ) |

Glib::SignalProxy4<void,const Glib::ustring&,guint,Gdk::ModifierType,guint> Gtk::CellRendererAccel::signal_accel_edited | ( |  | ) |

## Friends And Related Function Documentation

Gtk::CellRendererAccel* wrap | ( | GtkCellRendererAccel* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrendereraccel.h